Bug 37119 - New port: devel/libevent
Summary: New port: devel/libevent
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pete Fritchman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-16 01:40 UTC by Dominic Marks
Modified: 2002-04-25 07:54 UTC (History)
0 users

See Also:


Attachments
file.shar (1.97 KB, text/plain)
2002-04-16 01:40 UTC, Dominic Marks
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Marks 2002-04-16 01:40:02 UTC
	New port: devel/libevent

The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

How-To-Repeat: 	NA.
Comment 1 dominic_marks 2002-04-16 02:06:11 UTC
On Mon, Apr 15, 2002 at 05:40:02PM -0700, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/37119'.
> The individual assigned to look at your
> report is: freebsd-ports. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=37119

Ugh. This isn't my day. This port already exists, for an older
version. I couldve swore it wasnt there before.

> >Category:       ports
> >Responsible:    freebsd-ports
> >Synopsis:       New port: devel/libevent
> >Arrival-Date:   Mon Apr 15 17:40:02 PDT 2002

-- 
Dominic
Comment 2 dominic_marks 2002-04-16 03:27:53 UTC
On Tue, Apr 16, 2002 at 01:38:58AM +0100, Dominic Marks wrote:
> 
> >Number:         37119
> >Category:       ports
> >Synopsis:       New port: devel/libevent
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Mon Apr 15 17:40:02 PDT 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Dominic Marks
> >Release:        FreeBSD 4.5-STABLE i386
> >Organization:
> Student
> >Environment:
> System: FreeBSD gallium 4.5-STABLE FreeBSD 4.5-STABLE #2: Mon Apr 8
> 21:19:28 BST 2002 dom@gallium:/usr/obj/usr/src/sys/GALLIUM i386
> 
> 	
> >Description:
> 	New port: devel/libevent
> 
> The libevent API provides a mechanism to execute a callback function
> when a specific event occurs on a file descriptor or after a timeout
> has been reached. libevent is meant to replace the asynchronous event
> loop found in event driven network servers. An application just needs
> to call event_dispatch() and can then add or remove events dynamically
> without having to change the event loop.
> 
> 	
> >How-To-Repeat:
> 	NA.
> 	
> >Fix:
> 
> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may
> # create directories; files and directories will be owned by you and
> # have default permissions.
> #
> # This archive contains:
> #
> #	libevent/Makefile
> #	libevent/distinfo
> #	libevent/pkg-comment
> #	libevent/pkg-descr
> #	libevent/pkg-plist
> #
> echo x - libevent/Makefile
> sed 's/^X//' >libevent/Makefile << 'END-of-libevent/Makefile'
> X#
> X# Port Makefile for: libevent
> X# Created By: Dominic Marks <dominic_marks@btinternet.com>
> X# Created On: 16/04/2002
> X#
> X# $FreeBSD$
> X#
> X
> XPORTNAME=	libevent
> XPORTVERSION=	0.4
> XCATEGORIES=	devel
> XMASTER_SITES=	http://www.monkey.org/~provos/
> XMASTER_SITE_SUBDIR=	${PORTNAME}
> XMAINTAINER=	dominc_marks@btinternet.com
> XGNU_CONFIGURE=	yes
> XWRKSRC=	${WRKDIR}/${PORTNAME}
> XMAN3=	event.3
> X
> X.include <bsd.port.mk>
> END-of-libevent/Makefile
> echo x - libevent/distinfo
> sed 's/^X//' >libevent/distinfo << 'END-of-libevent/distinfo'
> XMD5 (libevent-0.4.tar.gz) = 64d77035dfc6e7551455375d347b3f24
> END-of-libevent/distinfo
> echo x - libevent/pkg-comment
> sed 's/^X//' >libevent/pkg-comment << 'END-of-libevent/pkg-comment'
> Xlibevent is an asynchronous event notification library
> END-of-libevent/pkg-comment
> echo x - libevent/pkg-descr
> sed 's/^X//' >libevent/pkg-descr << 'END-of-libevent/pkg-descr'
> XThe libevent API provides a mechanism to execute a callback function
> Xwhen a specific event occurs on a file descriptor or after a timeout
> Xhas been reached. libevent is meant to replace the asynchronous event
> Xloop found in event driven network servers. An application just needs
> Xto call event_dispatch() and can then add or remove events dynamically
> Xwithout having to change the event loop.
> X
> XWWW: http://www.monkey.org/~provos/libevent/
> X- Dominic <dominic_marks@btinternet.com>
> END-of-libevent/pkg-descr
> echo x - libevent/pkg-plist
> sed 's/^X//' >libevent/pkg-plist << 'END-of-libevent/pkg-plist'
> Xlib/libevent.a
> Xinclude/event.h
> END-of-libevent/pkg-plist
> exit

Here is a update patch as opposed to this complete port, please wait
for maintainer (petef@) approval.

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/libevent/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	2001/08/22 23:05:27	1.2
+++ Makefile	2002/04/16 02:26:04
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	libevent
-PORTVERSION=	0.3d
+PORTVERSION=	0.4
 CATEGORIES=	devel
 MASTER_SITES=	http://www.monkey.org/~provos/
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/devel/libevent/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- distinfo	2001/06/23 15:56:03	1.1
+++ distinfo	2002/04/16 02:26:04
@@ -1 +1 @@
-MD5 (libevent-0.3d.tar.gz) = 993696c2f5407a912ba4950b19359fba
+MD5 (libevent-0.4.tar.gz) = 64d77035dfc6e7551455375d347b3f24

> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> 
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-ports" in the body of the message

-- 
Dominic
Comment 3 Ying-Chieh Liao freebsd_committer 2002-04-16 06:05:36 UTC
Responsible Changed
From-To: freebsd-ports->petef

over to maintainer
Comment 4 Pete Fritchman freebsd_committer 2002-04-25 07:53:49 UTC
State Changed
From-To: open->closed

Committed, thanks!